package com.ruoyi.model.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 伴宠师信息对象 applet_user1
 * 
 * @author ruoyi
 * @date 2025-03-28
 */
public class AppletUser1 extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 唯一标识 */
    private Long id;

    /** 姓名 */
    @Excel(name = "姓名")
    private String name;

    /** 身份证号 */
    @Excel(name = "身份证号")
    private String cerNo;

    /** 性别 */
    @Excel(name = "性别")
    private String sex;

    /** 年龄 */
    @Excel(name = "年龄")
    private Long age;

    /** 手机号 */
    @Excel(name = "手机号")
    private String phone;

    /** 养宠经验 */
    @Excel(name = "养宠经验")
    private String experience;

    /** 是否有专业执照 */
    @Excel(name = "是否有专业执照")
    private Integer haveLicense;

    /** 专业执照图片 */
    @Excel(name = "专业执照图片")
    private String image;

    /** 个人宠物类型 */
    @Excel(name = "个人宠物类型")
    private Long petTypeId;

    /** 所在地区 */
    @Excel(name = "所在地区")
    private String area;

    /** 详细地址 */
    @Excel(name = "详细地址")
    private String address;

    /** 实名认证状态 */
    @Excel(name = "实名认证状态")
    private Integer statusAuthentic;

    /** 保证金缴纳状态 */
    @Excel(name = "保证金缴纳状态")
    private Integer statusPay;

    /** 添加客服微信状态 */
    @Excel(name = "添加客服微信状态")
    private Integer statusAdd;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date createdAt;

    /** 更新时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "更新时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date updatedAt;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setName(String name) 
    {
        this.name = name;
    }

    public String getName() 
    {
        return name;
    }
    public void setCerNo(String cerNo) 
    {
        this.cerNo = cerNo;
    }

    public String getCerNo() 
    {
        return cerNo;
    }
    public void setSex(String sex) 
    {
        this.sex = sex;
    }

    public String getSex() 
    {
        return sex;
    }
    public void setAge(Long age) 
    {
        this.age = age;
    }

    public Long getAge() 
    {
        return age;
    }
    public void setPhone(String phone) 
    {
        this.phone = phone;
    }

    public String getPhone() 
    {
        return phone;
    }
    public void setExperience(String experience) 
    {
        this.experience = experience;
    }

    public String getExperience() 
    {
        return experience;
    }
    public void setHaveLicense(Integer haveLicense) 
    {
        this.haveLicense = haveLicense;
    }

    public Integer getHaveLicense() 
    {
        return haveLicense;
    }
    public void setImage(String image) 
    {
        this.image = image;
    }

    public String getImage() 
    {
        return image;
    }
    public void setPetTypeId(Long petTypeId) 
    {
        this.petTypeId = petTypeId;
    }

    public Long getPetTypeId() 
    {
        return petTypeId;
    }
    public void setArea(String area) 
    {
        this.area = area;
    }

    public String getArea() 
    {
        return area;
    }
    public void setAddress(String address) 
    {
        this.address = address;
    }

    public String getAddress() 
    {
        return address;
    }
    public void setStatusAuthentic(Integer statusAuthentic) 
    {
        this.statusAuthentic = statusAuthentic;
    }

    public Integer getStatusAuthentic() 
    {
        return statusAuthentic;
    }
    public void setStatusPay(Integer statusPay) 
    {
        this.statusPay = statusPay;
    }

    public Integer getStatusPay() 
    {
        return statusPay;
    }
    public void setStatusAdd(Integer statusAdd) 
    {
        this.statusAdd = statusAdd;
    }

    public Integer getStatusAdd() 
    {
        return statusAdd;
    }
    public void setCreatedAt(Date createdAt) 
    {
        this.createdAt = createdAt;
    }

    public Date getCreatedAt() 
    {
        return createdAt;
    }
    public void setUpdatedAt(Date updatedAt) 
    {
        this.updatedAt = updatedAt;
    }

    public Date getUpdatedAt() 
    {
        return updatedAt;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("name", getName())
            .append("cerNo", getCerNo())
            .append("sex", getSex())
            .append("age", getAge())
            .append("phone", getPhone())
            .append("experience", getExperience())
            .append("haveLicense", getHaveLicense())
            .append("image", getImage())
            .append("petTypeId", getPetTypeId())
            .append("area", getArea())
            .append("address", getAddress())
            .append("statusAuthentic", getStatusAuthentic())
            .append("statusPay", getStatusPay())
            .append("statusAdd", getStatusAdd())
            .append("createdAt", getCreatedAt())
            .append("updatedAt", getUpdatedAt())
            .toString();
    }
}
