package com.ruoyi.model.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 伴宠师认证对象 applet_users_teacher
 * 
 * @author ruoyi
 * @date 2025-03-27
 */
public class AppletUsersTeacher extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 标识 */
    private Long id;

    /** 关联用户 */
    @Excel(name = "关联用户")
    private Long userId;

    /** 姓名 */
    @Excel(name = "姓名")
    private String name;

    /** 身份证 */
    @Excel(name = "身份证")
    private String idCard;

    /** 性别 */
    @Excel(name = "性别")
    private Long sex;

    /** 手机号 */
    @Excel(name = "手机号")
    private String phone;

    /** 养宠经验 */
    @Excel(name = "养宠经验")
    private String experience;

    /** 是否有专业执照 */
    @Excel(name = "是否有专业执照")
    private Long isHave;

    /** 个人宠物类型 */
    @Excel(name = "个人宠物类型")
    private Long petType;

    /** 审核状态 */
    @Excel(name = "审核状态")
    private Long status;

    /** 审核图片 */
    @Excel(name = "审核图片")
    private String images;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setUserId(Long userId) 
    {
        this.userId = userId;
    }

    public Long getUserId() 
    {
        return userId;
    }
    public void setName(String name) 
    {
        this.name = name;
    }

    public String getName() 
    {
        return name;
    }
    public void setIdCard(String idCard) 
    {
        this.idCard = idCard;
    }

    public String getIdCard() 
    {
        return idCard;
    }
    public void setSex(Long sex) 
    {
        this.sex = sex;
    }

    public Long getSex() 
    {
        return sex;
    }
    public void setPhone(String phone) 
    {
        this.phone = phone;
    }

    public String getPhone() 
    {
        return phone;
    }
    public void setExperience(String experience) 
    {
        this.experience = experience;
    }

    public String getExperience() 
    {
        return experience;
    }
    public void setIsHave(Long isHave) 
    {
        this.isHave = isHave;
    }

    public Long getIsHave() 
    {
        return isHave;
    }
    public void setPetType(Long petType) 
    {
        this.petType = petType;
    }

    public Long getPetType() 
    {
        return petType;
    }
    public void setStatus(Long status) 
    {
        this.status = status;
    }

    public Long getStatus() 
    {
        return status;
    }
    public void setImages(String images) 
    {
        this.images = images;
    }

    public String getImages() 
    {
        return images;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("userId", getUserId())
            .append("name", getName())
            .append("idCard", getIdCard())
            .append("sex", getSex())
            .append("phone", getPhone())
            .append("experience", getExperience())
            .append("isHave", getIsHave())
            .append("petType", getPetType())
            .append("status", getStatus())
            .append("images", getImages())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
