import request from '@/utils/request'

// 查询伴宠师信息列表
export function listAppletUser1(query) {
  return request({
    url: '/model/AppletUser1/list',
    method: 'get',
    params: query
  })
}

// 查询伴宠师信息详细
export function getAppletUser1(id) {
  return request({
    url: '/model/AppletUser1/' + id,
    method: 'get'
  })
}

// 新增伴宠师信息
export function addAppletUser1(data) {
  return request({
    url: '/model/AppletUser1',
    method: 'post',
    data: data
  })
}

// 修改伴宠师信息
export function updateAppletUser1(data) {
  return request({
    url: '/model/AppletUser1',
    method: 'put',
    data: data
  })
}

// 删除伴宠师信息
export function delAppletUser1(id) {
  return request({
    url: '/model/AppletUser1/' + id,
    method: 'delete'
  })
}
