import request from '@/utils/request'

// 查询用户服务信息列表
export function listAppletUser2(query) {
  return request({
    url: '/model/AppletUser2/list',
    method: 'get',
    params: query
  })
}

// 查询用户服务信息详细
export function getAppletUser2(id) {
  return request({
    url: '/model/AppletUser2/' + id,
    method: 'get'
  })
}

// 新增用户服务信息
export function addAppletUser2(data) {
  return request({
    url: '/model/AppletUser2',
    method: 'post',
    data: data
  })
}

// 修改用户服务信息
export function updateAppletUser2(data) {
  return request({
    url: '/model/AppletUser2',
    method: 'put',
    data: data
  })
}

// 删除用户服务信息
export function delAppletUser2(id) {
  return request({
    url: '/model/AppletUser2/' + id,
    method: 'delete'
  })
}
