package com.ruoyi.model.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 用户服务信息对象 applet_user2
 * 
 * @author ruoyi
 * @date 2025-03-28
 */
public class AppletUser2 extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 唯一标识 */
    private Long id;

    /** 头像 */
    @Excel(name = "头像")
    private String headImage;

    /** 昵称 */
    @Excel(name = "昵称")
    private String nickName;

    /** 手机号 */
    @Excel(name = "手机号")
    private String phone;

    /** 性别 */
    @Excel(name = "性别")
    private String sex;

    /** 个人简介 */
    @Excel(name = "个人简介")
    private String brief;

    /** 养宠经验 */
    @Excel(name = "养宠经验")
    private String experience;

    /** 服务宠物类型 */
    @Excel(name = "服务宠物类型")
    private Long petTypeId;

    /** 基础服务 */
    @Excel(name = "基础服务")
    private String serviceBase;

    /** 增值服务 */
    @Excel(name = "增值服务")
    private String serviceIncrease;

    /** 删除标识 */
    private Integer delFlag;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setHeadImage(String headImage) 
    {
        this.headImage = headImage;
    }

    public String getHeadImage() 
    {
        return headImage;
    }
    public void setNickName(String nickName) 
    {
        this.nickName = nickName;
    }

    public String getNickName() 
    {
        return nickName;
    }
    public void setPhone(String phone) 
    {
        this.phone = phone;
    }

    public String getPhone() 
    {
        return phone;
    }
    public void setSex(String sex) 
    {
        this.sex = sex;
    }

    public String getSex() 
    {
        return sex;
    }
    public void setBrief(String brief) 
    {
        this.brief = brief;
    }

    public String getBrief() 
    {
        return brief;
    }
    public void setExperience(String experience) 
    {
        this.experience = experience;
    }

    public String getExperience() 
    {
        return experience;
    }
    public void setPetTypeId(Long petTypeId) 
    {
        this.petTypeId = petTypeId;
    }

    public Long getPetTypeId() 
    {
        return petTypeId;
    }
    public void setServiceBase(String serviceBase) 
    {
        this.serviceBase = serviceBase;
    }

    public String getServiceBase() 
    {
        return serviceBase;
    }
    public void setServiceIncrease(String serviceIncrease) 
    {
        this.serviceIncrease = serviceIncrease;
    }

    public String getServiceIncrease() 
    {
        return serviceIncrease;
    }
    public void setDelFlag(Integer delFlag) 
    {
        this.delFlag = delFlag;
    }

    public Integer getDelFlag() 
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("headImage", getHeadImage())
            .append("nickName", getNickName())
            .append("phone", getPhone())
            .append("sex", getSex())
            .append("brief", getBrief())
            .append("experience", getExperience())
            .append("petTypeId", getPetTypeId())
            .append("serviceBase", getServiceBase())
            .append("serviceIncrease", getServiceIncrease())
            .append("delFlag", getDelFlag())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
