package com.ruoyi.model.service;

import java.util.List;
import com.ruoyi.model.domain.AppletUser1;

/**
 * 伴宠师信息Service接口
 * 
 * @author ruoyi
 * @date 2025-03-28
 */
public interface IAppletUser1Service 
{
    /**
     * 查询伴宠师信息
     * 
     * @param id 伴宠师信息主键
     * @return 伴宠师信息
     */
    public AppletUser1 selectAppletUser1ById(Long id);

    /**
     * 查询伴宠师信息列表
     * 
     * @param appletUser1 伴宠师信息
     * @return 伴宠师信息集合
     */
    public List<AppletUser1> selectAppletUser1List(AppletUser1 appletUser1);

    /**
     * 新增伴宠师信息
     * 
     * @param appletUser1 伴宠师信息
     * @return 结果
     */
    public int insertAppletUser1(AppletUser1 appletUser1);

    /**
     * 修改伴宠师信息
     * 
     * @param appletUser1 伴宠师信息
     * @return 结果
     */
    public int updateAppletUser1(AppletUser1 appletUser1);

    /**
     * 批量删除伴宠师信息
     * 
     * @param ids 需要删除的伴宠师信息主键集合
     * @return 结果
     */
    public int deleteAppletUser1ByIds(Long[] ids);

    /**
     * 删除伴宠师信息信息
     * 
     * @param id 伴宠师信息主键
     * @return 结果
     */
    public int deleteAppletUser1ById(Long id);
}
