package com.ruoyi.model.service;

import java.util.List;
import com.ruoyi.model.domain.AppletUser2;

/**
 * 用户服务信息Service接口
 * 
 * @author ruoyi
 * @date 2025-03-28
 */
public interface IAppletUser2Service 
{
    /**
     * 查询用户服务信息
     * 
     * @param id 用户服务信息主键
     * @return 用户服务信息
     */
    public AppletUser2 selectAppletUser2ById(Long id);

    /**
     * 查询用户服务信息列表
     * 
     * @param appletUser2 用户服务信息
     * @return 用户服务信息集合
     */
    public List<AppletUser2> selectAppletUser2List(AppletUser2 appletUser2);

    /**
     * 新增用户服务信息
     * 
     * @param appletUser2 用户服务信息
     * @return 结果
     */
    public int insertAppletUser2(AppletUser2 appletUser2);

    /**
     * 修改用户服务信息
     * 
     * @param appletUser2 用户服务信息
     * @return 结果
     */
    public int updateAppletUser2(AppletUser2 appletUser2);

    /**
     * 批量删除用户服务信息
     * 
     * @param ids 需要删除的用户服务信息主键集合
     * @return 结果
     */
    public int deleteAppletUser2ByIds(Long[] ids);

    /**
     * 删除用户服务信息信息
     * 
     * @param id 用户服务信息主键
     * @return 结果
     */
    public int deleteAppletUser2ById(Long id);
}
